<?php

namespace App\Cells\Part;

use App\Services\Part\RAMService;

class RAMCell extends PartCell
{
  public function __construct()
  {
    parent::__construct(service('part_ramservice'));
  }

  public function stock(array $params): string
  {
    $template = array_key_exists('template', $params) ? $params['template'] : 'ram_stock';
    return view('cells/part/' . $template, [
      'partCellDatas' => [
        'helper' => $this->getService()->getHelper(),
        'entities' => $this->getService()->getEntities(),
      ],
    ]);
  }
}
